package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.SeeOrder;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.SeeOrderMapper")
public interface SeeOrderMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(SeeOrder record);

    SeeOrder selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(SeeOrder record);

    List<SeeOrder> queryAllSeeOrder(SeeOrder record);

    List<SeeOrder> querySeeOrderByPage(Map<String, Object> parameter);

    int delete(String id);

    SeeOrder querySeeOrder(SeeOrder record);

    List<SeeOrder> query(SeeOrder record);
}

